## gibraltar-bootcd 0.52

=== Makefile ===
CC = gcc
LDFLAGS = 
CFLAGS = -march=i386 -Os  -fomit-frame-pointer -Wall -W

all: freeramdisk Makefile
#all: freeramdisk listpci listpci.static Makefile

#linuxrc: linuxrc.c
#	$(CC) $(CFLAGS) -o linuxrc linuxrc.c

freeramdisk: freeramdisk.c
	$(CC) $(CFLAGS) -static -o freeramdisk freeramdisk.c

#listpci: listpci.c $(KUDZU_PATH)/libkudzu_loader.a 
#	$(CC) $(CFLAGS) $(LDFLAGS) -D__LOADER \
#        	-o listpci listpci.c -L$(KUDZU_PATH) -I$(KUDZU_PATH) \
#                -lkudzu_loader -L$(LIBPCI_PATH) -lpci -s

#listpci.static: listpci.c $(KUDZU_PATH)/libkudzu_loader.a 
#	$(CC) $(CFLAGS) $(LDFLAGS) -static -D__LOADER \
#        	-o listpci.static listpci.c -L$(KUDZU_PATH) -I$(KUDZU_PATH) \
#                -lkudzu_loader -L$(LIBPCI_PATH) -lpci -s

clean:
	rm -f freeramdisk *~ *.o
	#make -C kudzu clean

=== debian/changelog ===
gibraltar-bootcd (0.52) unstable; urgency=low

  * Added a build dependency on bzip2 as suggested by Daniel Schepler.
    Thanks to Larz Wirzenius for the patch.
    Closes: #304634: gibraltar-bootcd: FTBFS: Missing Build-Depends
  * Enhanced (read: fixed) support for 2.6 kernels. This involved the adding
    of ide-generic to IDE_CD_MODS, handling of *.ko modules in 
    initrd-common-definitions.sh and new options to busybox during building.
    Many thanks to Thomas Lange for his patches and comments! 
    Closes: #301342: (no subject)
  * Also deal with USB media as super-floppies (i.e. no partitions, but a
    single file system for the whole media, usually termed USB-FDD by BIOSses)
    in probe-devs.sh. Thanks to Tony Mancill for figuring that out.

 -- Rene Mayrhofer <rene.mayrhofer@gibraltar.at>  Tue, 19 Apr 2005 14:39:30 +0200

gibraltar-bootcd (0.51) unstable; urgency=low

  * Really removed the insmod binary from the source package now - it's
    not in use anyway.
  * If discover doesn't detect any USB host controller, then brute-force probe
    the modules. This is not known to cause any issues (like the SCSI host
    controller probing that can easily hang the system), it will just delay
    bootup on systems that actually don't have any USB host controller a bit.
  * gibraltar-bootsupport: Fix the patchme script so that permissions are set
    correctly when using delta files.
  * mkinitrd-cd: Add wc, head and yes to mkinitrd-cd.conf, since they are used
    by the initrd script now.

 -- Rene Mayrhofer <rene.mayrhofer@gibraltar.at>  Wed, 23 Mar 2005 10:18:39 +0100

gibraltar-bootcd (0.50) unstable; urgency=low

  * Include the Debian package source for curl, expat, discover and
    coreutils (which are used for buidling the binary package mkinitrd-cd).
    I am still not happy with that solution because it wastes bandwith and
    storage space for all Debian mirrors, but I agree with Goswin that source
    updates are a problem that can lead to DFSG conflicts. If anybody has an
    idea on how to solve this without duplicating source packages in this
    source package, please drop me a hint.
    Closes: #291600: FTBFS: Attempts to use 'apt-get source'
  * gibraltar-bootsupport: Fix a small bug in common-definitions.sh which 
    caused a (cosmetical) error during shutdown.
  * mkinitrd-cd: Compile busybox during package build and ship it with 
    mkinitrd-cd. This makes the mkinitrd-cd script a lot faster and should not
    need to be modified anyways.
  * mkinitrd-cd: Make it work with kernel 2.6. Necessary changes were:
    - also look for *.ko in addition to *.o
    - some module names have been changed, namely
    Closes: #288295: mkinitrd-cd: no support for 2.6 kernel objects
  * mkinitrd-cd: Introduce a config file /etc/mkinitrd-cd/mkinitrd-cd.conf
    with config options that could possible by modified. This file is also
    source during package build, as it contains the busybox modules to build
    (and install in the initrd image during the mkinitrd-cd run).
  * Move architecture-dependent files from /usr/share/mkinitrd-cd to
    /usr/lib/mkinitrd-cd, as demanded by FHS. These are the discover, paste
    and busybox binaries that are built during the package building.
  * Copy only *.xml files for discover and skip the *.lst files - they are 
    only needed to create the *.xml files, but not during usage.
  Thanks to Thomas Lange for suggesting a few of the above changes!

 -- Rene Mayrhofer <rene.mayrhofer@gibraltar.at>  Sat,  5 Mar 2005 22:21:26 +0100

gibraltar-bootcd (0.41) unstable; urgency=low

  * gibraltar-bootsupport: Add a script to detect if a network adapter that is 
    specified in /etc/network/interfaces by its MAC address could not be 
    found during bootup and try to use another one.
  * gibraltar-bootsupport: Make the 00network-cards auto-setup script a bit 
    smarter by not adding the same kernel module twice to /etc/modules and 
    skipping the modprobing if it has already been loaded.

 -- Rene Mayrhofer <rene@mayrhofer.eu.org>  Tue, 11 Jan 2005 21:38:57 +0100

=== debian/control ===
Source: gibraltar-bootcd
Section: admin
Priority: optional
Maintainer: Rene Mayrhofer <rene.mayrhofer@gibraltar.at>
Standards-Version: 3.6.0
Build-Depends: debhelper (>= 4.0.0), uclibc-toolchain (>= 0.9.26-1), libuclibc-dev (>= 0.9.26-1), bzip2

Package: mkinitrd-cd
Architecture: i386
Depends: ${shlibs:Depends}, dosfstools, mtools, syslinux (>= 2.00-1), makedev, gcc, make, discover-data, uclibc-toolchain (>= 0.9.26-1), libuclibc-dev (>= 0.9.26-1)
Recommends: mkisofs
Description: Creates an initrd image for booting from a live CD-ROM or USB device
 This is the package used by the Gibraltar project to create the initrd images
 used for booting from CD-ROM or USB sticks. The bootable CD-ROMs or USB 
 mass storage devices are actual live CD-ROMs respective live filesystems.
 That is, the root file system is the CD-ROM or an image on the USB device, 
 ramdisks are the only things needed for operation without a hard disk. 
 Although a harddisk can be used for e.g. storing log files permanently or 
 when the machine acts as a proxy server.
 .
 Given a kernel image and the corresponding modules, it creates a complete
 boot image that can be written to floppy or be used as El Torito image for
 a bootable CD-ROM. Additionally, it is possible to create an initrd image to 
 be used on a USB stick (e.g. with syslinux). Upon bootup, the initrd image 
 will try to locate an ATAPI CD-ROM drive or a USB mass storage device. When 
 this does not succeed, it auto-probes for SCSI adapters and tries to locate 
 SCSI drives. It also works when multiple CD-ROM drives are installed in the 
 system by checking if the inserted CD is the correct one for booting.
 .
 The package can be of use to developers and packagers who want to create 
 their own bootable, live Debian CD-ROM or bootable, live Debian USB stick. 
 It will probably not be of any use to others.

Package: gibraltar-bootsupport
Architecture: i386
Depends: ${shlibs:Depends}, beep, file-rc, setcd, discover (>= 2.0.0-1), discover-data
Recommends: libsafe, logcheck
Conflicts: loadlin
Description: Boot support for Gibraltar live CD-ROM
 This package contains the necessary support for the live Gibraltar CD-ROM. It
 will manage /etc and /var to be writeable and will take care of saving and
 restoring /etc.
 .
 Therefore this package should be installed on the master copy that will be
 used as the live file system on the CD-ROM. Do not install it on a system that
 boots from a harddisk partition (e.g. the development system for creating the
 bootable CD-ROMs), it will break.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4

# This has to be exported to make some magic below work.
export DH_OPTIONS

topdir=$(shell pwd)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp
build-stamp:
	dh_testdir

	# build discover and paste with uclibc
	( mkdir $(topdir)/debian/tmp-build/; \
	cd $(topdir)/debian/tmp-build; \
	INSTALL_PATH=$(topdir)/debian/tmp-build/ $(topdir)/build-discover; \
	INSTALL_PATH=$(topdir)/debian/tmp-build/ $(topdir)/build-paste; \
	INSTALL_PATH=$(topdir)/debian/tmp-build/ $(topdir)/build-busybox )
	# now build the freeramdisk binary
	$(MAKE) freeramdisk

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	rm -rf $(topdir)/debian/tmp-build

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# installing the files for the mkinitrd-cd binary package
	install mkinitrd-cd/linuxrc $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/initrd-common-definitions.sh $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/probe-devs.sh $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	install mkinitrd-cd/chown-wrapper $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	install $(topdir)/debian/tmp-build/discover $(topdir)/debian/mkinitrd-cd/usr/lib/mkinitrd-cd/
	install $(topdir)/debian/tmp-build/paste $(topdir)/debian/mkinitrd-cd/usr/lib/mkinitrd-cd/
	install $(topdir)/debian/tmp-build/busybox $(topdir)/debian/mkinitrd-cd/usr/lib/mkinitrd-cd/
	cp mkinitrd-cd/mkinitrd-cd.conf $(topdir)/debian/mkinitrd-cd/etc/mkinitrd-cd/
	cp mkinitrd-cd/id.txt $(topdir)/debian/mkinitrd-cd/etc/mkinitrd-cd/
	cp mkinitrd-cd/bootmsg.txt $(topdir)/debian/mkinitrd-cd/etc/mkinitrd-cd/
	cp mkinitrd-cd/scsiprobe.dat $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/scsiprobe-min.dat $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/syslinux.cfg $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/initrd-dev.tar.gz $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/discover.conf $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	install mkinitrd-cd/mkinitrd-cd $(topdir)/debian/mkinitrd-cd/usr/sbin
	install mkinitrd-cd/mkbootimg $(topdir)/debian/mkinitrd-cd/usr/sbin
	install mkinitrd-cd/mklibs.sh $(topdir)/debian/mkinitrd-cd/usr/sbin

	# installing the files for the gibraltar-bootsupport binary package
	cp gibraltar-bootsupport/common-definitions.sh $(topdir)/debian/gibraltar-bootsupport/usr/lib/gibraltar-bootsupport
	cp gibraltar-bootsupport/gibraltar-keyring.gpg $(topdir)/debian/gibraltar-bootsupport/usr/share/keyrings
	cp mkinitrd-cd/probe-devs.sh $(topdir)/debian/gibraltar-bootsupport/usr/lib/gibraltar-bootsupport
	cp gibraltar-bootsupport/config $(topdir)/debian/gibraltar-bootsupport/system/etc-static/gibraltar
	cp gibraltar-bootsupport/update-excludes $(topdir)/debian/gibraltar-bootsupport/system/etc-static/gibraltar
	cp mkinitrd-cd/scsiprobe.dat $(topdir)/debian/gibraltar-bootsupport/system/etc-static/gibraltar
	cp gibraltar-bootsupport/config-disk.msg $(topdir)/debian/gibraltar-bootsupport/system
	cp gibraltar-bootsupport/var-defaults.tar.gz $(topdir)/debian/gibraltar-bootsupport/system
	install gibraltar-bootsupport/make-var-ramdisk $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d/mountvar
	install gibraltar-bootsupport/check-network-interfaces $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d/
	install gibraltar-bootsupport/save-etc $(topdir)/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/restore-etc $(topdir)/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/restore-etc-old $(topdir)/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/update-config $(topdir)/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/convert-config $(topdir)/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/prepareroot $(topdir)/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/save-config $(topdir)/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/patchme $(topdir)/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/patchall-local $(topdir)/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/patchall-online $(topdir)/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/mail-file $(topdir)/debian/gibraltar-bootsupport/bin
	install gibraltar-bootsupport/send-popup $(topdir)/debian/gibraltar-bootsupport/bin
	install gibraltar-bootsupport/setup-unconfigured.sh $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d
	install gibraltar-bootsupport/unlock-cddrive $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d
	install gibraltar-bootsupport/unmount-initrd $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d
	install gibraltar-bootsupport/setup.d/00network-cards $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/setup.d/01set-ip-addresses $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/setup.d/gen-ssh-hostkeys $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/setup.d/gen-certificates $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/setup.d/minimum-system $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/setup.d/serial-conf $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/setup.d/serial-getty $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/scripts/post-save $(topdir)/debian/gibraltar-bootsupport/system/scripts
	install gibraltar-bootsupport/scripts/pre-save $(topdir)/debian/gibraltar-bootsupport/system/scripts
	install freeramdisk $(topdir)/debian/gibraltar-bootsupport/sbin
	ln -s /sbin/save-config $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d/save-etc-disk
	#ln -s /system/etc-static/default $(topdir)/debian/gibraltar-bootsupport/etc/
	#ln -s /system/etc-static/init.d $(topdir)/debian/gibraltar-bootsupport/etc/
	#ln -s /system/etc-static/setup.d $(topdir)/debian/gibraltar-bootsupport/etc/
	#ln -s /system/etc-static/runlevel.conf $(topdir)/debian/gibraltar-bootsupport/etc/
	ln -s /system/etc-static/gibraltar/scsiprobe.dat $(topdir)/debian/gibraltar-bootsupport/etc/gibraltar/
	ln -s /system/etc-static/gibraltar/update-excludes $(topdir)/debian/gibraltar-bootsupport/etc/gibraltar/
	#ln -s /system/etc-static/gibraltar/config $(topdir)/debian/gibraltar-bootsupport/etc/gibraltar/
	#ln -s /system/etc-static/gibraltar/version $(topdir)/debian/gibraltar-bootsupport/etc/gibraltar/


# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit -pgibraltar-bootsupport --no-restart-on-upgrade \
#		--init-script=prepareroot -- prepareroot start 01 S .
#	dh_installinit -pgibraltar-bootsupport --no-restart-on-upgrade \
#		--init-script=save-etc-disk -- prepareroot start 39 0 6 .
#	dh_installinit -pgibraltar-bootsupport --no-restart-on-upgrade \
#		--init-script=setup-unconfigured.sh -- prepareroot start 70 S .

## gibraltar-bootcd 0.55

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,8 @@
 #	$(CC) $(CFLAGS) -o linuxrc linuxrc.c
 
 freeramdisk: freeramdisk.c
-	$(CC) $(CFLAGS) -static -o freeramdisk freeramdisk.c
+#	$(CC) $(CFLAGS) -static -o freeramdisk freeramdisk.c
+	$(CC) $(CFLAGS) -o freeramdisk freeramdisk.c
 
 #listpci: listpci.c $(KUDZU_PATH)/libkudzu_loader.a 
 #	$(CC) $(CFLAGS) $(LDFLAGS) -D__LOADER \

=== debian/changelog ===
gibraltar-bootcd (0.55) unstable; urgency=low

  * Change priority back to optional, since this is what the override
    file states right now.

 -- Rene Mayrhofer <rene.mayrhofer@gibraltar.at>  Mon, 26 Dec 2005 14:29:22 +0000

gibraltar-bootcd (0.54) unstable; urgency=low

  * Just recompiled from subversion repository, but now removed the
    svn:eol-style property of mkinitrd-cd/initrd-dev.tar.gz. This seems
    to have been set initially by svn-inject (in an incorrect manner)
    and cause problems with broken initrd-dev.tar.gz files in the
    created binary packages.
    Thanks to Andy Chittenden for notifying me of this problem.

 -- Rene Mayrhofer <rene.mayrhofer@gibraltar.at>  Mon, 26 Dec 2005 13:40:05 +0000

gibraltar-bootcd (0.53) unstable; urgency=low

  * Also support squashfs images from USB/CF media in addition to the older
    cramfs images. squashfs has a better compression and thus produces smaller
    images and does not have the restriction to roughly 256 MB of uncompressed
    file system size.
  * Support (nearly atomic) update of the USB/CF image with a single reboot
    and option for fallback. This should make failed "firmware" upgrades 
    (nearly) impossible.
  * Changed the old serial port speed of 9600 to a more contemporary
    38400.
  * Change priority from optional to extra to match the override file.
  * mkinitrd-cd: Use the word matching option to grep when trying to figure
    out if a kernel module should be copied or not. This fixed the useless 
    copying of some otherwise useless modules (e.g. "st").
  * gibraltar-bootsupport: Also deal with interface names ath* in 
    setup.d/01set-ip-addresses (these are used by the madwifi driver).
  * gibraltar-bootsupport: Updated var-defaults.tar.gz again.
  * mkinitrd-cd: Rise the RAM disk size in syslinux.cfg from 4096 to 4608 kB
    to provide more space for the (now larger) initrd images.
  * mkinitrd-cd: Add more aliases to syslinux.cfg for various appliances and
    the different stages of failed update attempts.
  * gibraltar-bootsupport: Depend on iputils-arping, which is needed for 
    checking for IP address conflicts upon first bootup.
  * gibraltar-bootsupport: Depend on xdelta, which is needed for the patching
    scripts.
  * Implement beepconsole with the beep utility even if we are not running on
    a Linux console (but e.g. over serial). This is necessary for appliances
    with serial console to beep during bootup.
  * gibraltar-bootsupport: Add new utilities status-led and lan-bypass to 
    control hardware features of the iBASE FWA7204 appliance. Also include a
    binary for checking if it is running on an iBASE appliance: check-ibase.
  * gibraltar-bootsupport: Add a new setup.d script for configuring kernel
    modules for the iBASE appliance: modules-ibase.
  * gibraltar-bootsupport: Use /etc/iftab now for renaming interfaces 
    instead of /etc/network/interfaces. This avoids problems with interface
    order, e.g. when using bridge interfaces.
  * mkinitrd-cd: Don't include the discover binary in the "min" initrd images
    (intended for 1.44 MB floppies) anymore. It just doesn't fit with newer
    kernels.
  * mkinitrd-cd: Depend on discover1-data | discover-data now, since the
    package has been renamed for unstable.
    Closes: #339859: gibraltar-bootcd: FTBFS: C compiler cannot create 
                     executables /
  * mkinitrd-cd: Fix the regular expression for extracting the module name
    from the file name (and consequently to check if it needs to be copied to
    the initrd image). Thanks to Andy Chittenden from BlueArc for finding 
    that issue.
  * mkinitrd-cd: Add the isofs module to IDE_CD_MODS and SCSI_CD_MODS in
    probe-devs.sh and cdboot_required_modules in mkinitrd-cd.conf. This makes
    booting from CD work when the iso9660 filesystem has been compiled as a 
    module (like for the default Debian kernels) instead of statically. Again
    thanks to Andy Chittenden from BlueArc for pointing that out.
  * mkinitrd-cd: Fix the shell globbing to be able to deal with an empty list
    of copied modules (e.g. when the kernel has been statically linked with
    all required drivers). Thanks to Berk Akinci from Sun for spotting this
    problem and suggesting the elegant fix of using "shopt -s nullglob".
  * gibraltar-bootcd: Fixed saving the configuration data to the same image
    that was used for booting the system. The problem was that, when the media
    was already mounted, it did not get remounted even when it was originally
    mounted with option "ro". Now, when saving to an already mounted 
    partition, it is remounted rw before and again ro after saving the
    configuration so that this special case will work.

 -- Rene Mayrhofer <rene.mayrhofer@gibraltar.at>  Mon, 05 Dec 2005 23:21:50 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: mkinitrd-cd
 Architecture: i386
-Depends: ${shlibs:Depends}, dosfstools, mtools, syslinux (>= 2.00-1), makedev, gcc, make, discover-data, uclibc-toolchain (>= 0.9.26-1), libuclibc-dev (>= 0.9.26-1)
+Depends: ${shlibs:Depends}, dosfstools, mtools, syslinux (>= 2.00-1), makedev, gcc, make, discover1-data | discover-data, uclibc-toolchain (>= 0.9.26-1), libuclibc-dev (>= 0.9.26-1)
 Recommends: mkisofs
 Description: Creates an initrd image for booting from a live CD-ROM or USB device
  This is the package used by the Gibraltar project to create the initrd images
@@ -33,7 +33,7 @@
 
 Package: gibraltar-bootsupport
 Architecture: i386
-Depends: ${shlibs:Depends}, beep, file-rc, setcd, discover (>= 2.0.0-1), discover-data
+Depends: ${shlibs:Depends}, beep, file-rc, setcd, discover (>= 2.0.0-1), discover-data, iputils-arping, xdelta
 Recommends: libsafe, logcheck
 Conflicts: loadlin
 Description: Boot support for Gibraltar live CD-ROM

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,8 @@
 	INSTALL_PATH=$(topdir)/debian/tmp-build/ $(topdir)/build-busybox )
 	# now build the freeramdisk binary
 	$(MAKE) freeramdisk
+	# and the appliance binaries
+	$(MAKE) -C gibraltar-bootsupport/appliance/ all
 
 	touch build-stamp
 
@@ -42,6 +44,7 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
+	-$(MAKE) -C gibraltar-bootsupport/appliance/ clean
 	rm -rf $(topdir)/debian/tmp-build
 
 	dh_clean
@@ -84,6 +87,7 @@
 	cp gibraltar-bootsupport/var-defaults.tar.gz $(topdir)/debian/gibraltar-bootsupport/system
 	install gibraltar-bootsupport/make-var-ramdisk $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d/mountvar
 	install gibraltar-bootsupport/check-network-interfaces $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d/
+	install gibraltar-bootsupport/update-finalize $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d/
 	install gibraltar-bootsupport/save-etc $(topdir)/debian/gibraltar-bootsupport/sbin
 	install gibraltar-bootsupport/restore-etc $(topdir)/debian/gibraltar-bootsupport/sbin
 	install gibraltar-bootsupport/restore-etc-old $(topdir)/debian/gibraltar-bootsupport/sbin
@@ -94,6 +98,12 @@
 	install gibraltar-bootsupport/patchme $(topdir)/debian/gibraltar-bootsupport/sbin
 	install gibraltar-bootsupport/patchall-local $(topdir)/debian/gibraltar-bootsupport/sbin
 	install gibraltar-bootsupport/patchall-online $(topdir)/debian/gibraltar-bootsupport/sbin
+	install gibraltar-bootsupport/update-system $(topdir)/debian/gibraltar-bootsupport/sbin
+	install gibraltar-bootsupport/update-rollback $(topdir)/debian/gibraltar-bootsupport/sbin
+	install gibraltar-bootsupport/update-removeold $(topdir)/debian/gibraltar-bootsupport/sbin
+	install gibraltar-bootsupport/appliance/status-led $(topdir)/debian/gibraltar-bootsupport/sbin
+	install gibraltar-bootsupport/appliance/lan-bypass $(topdir)/debian/gibraltar-bootsupport/sbin
+	install gibraltar-bootsupport/appliance/check-ibase $(topdir)/debian/gibraltar-bootsupport/sbin
 	install gibraltar-bootsupport/mail-file $(topdir)/debian/gibraltar-bootsupport/bin
 	install gibraltar-bootsupport/send-popup $(topdir)/debian/gibraltar-bootsupport/bin
 	install gibraltar-bootsupport/setup-unconfigured.sh $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d
@@ -120,22 +130,3 @@
 	#ln -s /system/etc-static/gibraltar/version $(topdir)/debian/gibraltar-bootsupport/etc/gibraltar/
 
 
-# This single target is used to build all the packages, all at once, or
-# one at a time. So keep in mind: any options passed to commands here will
-# affect _all_ packages. Anything you want to only affect one package
-# should be put in another target, such as the install target.
-binary-common: build install
-	dh_testdir
-	dh_testroot
-#	dh_installdebconf
-	dh_installdocs
-#	dh_installexamples
-#	dh_installmenu
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installinit -pgibraltar-bootsupport --no-restart-on-upgrade \
-#		--init-script=prepareroot -- prepareroot start 01 S .
-#	dh_installinit -pgibraltar-bootsupport --no-restart-on-upgrade \
-#		--init-script=save-etc-disk -- prepareroot start 39 0 6 .
-#	dh_installinit -pgibraltar-bootsupport --no-restart-on-upgrade \
-#		--init-script=setup-unconfigured.sh -- prepareroot start 70 S .
